Skip to main content
GET
Retrieve subscriptions

Authorizations

Authorization
string
header
required

See our authentication documentation for how to authorize your requests

Headers

spacebring-network-id
string<uuid>

The id of the network. Required when using bearer token authentication

Query Parameters

createDate[gte]
string

Filter subscriptions created on or after this date (ISO 8601). Use with createDate[lte] for a range.

createDate[lte]
string

Filter subscriptions created on or before this date (ISO 8601). Use with createDate[gte] for a range.

customerRef
string<uuid>

UUID of the customer whose subscriptions to list.

limit
integer

Maximum number of subscriptions per page. Defaults to 25 when omitted or invalid; values above 100 are capped at 100.

Required range: 1 <= x <= 100
locationRef
string<uuid>

UUID of the location whose subscriptions to list.

nextPageToken
string

Pagination token from nextPageToken in a previous response. Keep the same filters when fetching the next page.

order
string

Sort order for results.

planRef
string<uuid>

UUID of the plan to filter subscriptions by.

status
string

Filter by subscription status. Comma-separated values, e.g. active,scheduled. Defaults to active, scheduled, and incomplete when omitted.

Supported values:

  • active — currently active
  • scheduled — scheduled to start
  • incomplete — pending setup or payment
  • incompleteExpired — incomplete and expired
  • canceled — canceled

Response

OK

subscriptions
object[]
required

List of subscriptions.

nextPageToken
string

Pagination token to fetch the next page of results.

searchQueryNext
string

Search query parameters for the next page of results. Includes all filters used to fetch the current page.